'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _Statement2 = require('../Statement');

var _Statement3 = _interopRequireDefault(_Statement2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var BlockStatement = function (_Statement) {
    (0, _inherits3.default)(BlockStatement, _Statement);

    function BlockStatement(childNodes) {
        (0, _classCallCheck3.default)(this, BlockStatement);
        return (0, _possibleConstructorReturn3.default)(this, (0, _getPrototypeOf2.default)(BlockStatement).call(this, 'BlockStatement', childNodes));
    }

    (0, _createClass3.default)(BlockStatement, [{
        key: '_acceptChildren',
        value: function _acceptChildren(children) {
            var body = [];
            var directives = [];

            children.assertToken('Punctuator', '{');
            children.moveNext();
            children.skipNonCode();

            while (children.isNode('Directive')) {
                directives.push(children.passNode());
                children.skipNonCode();
            }

            while (!children.isToken('Punctuator', '}')) {
                body.push(children.passStatement());
                children.skipNonCode();
            }

            children.passToken('Punctuator', '}');
            children.assertEnd();

            this._body = body;
            this._directives = directives;
        }
    }, {
        key: 'body',
        get: function get() {
            return this._body.concat();
        }
    }, {
        key: 'directives',
        get: function get() {
            return this._directives;
        }
    }]);
    return BlockStatement;
}(_Statement3.default);

exports.default = BlockStatement;