'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _Node2 = require('../Node');

var _Node3 = _interopRequireDefault(_Node2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var TemplateElement = function (_Node) {
    (0, _inherits3.default)(TemplateElement, _Node);

    function TemplateElement(childNodes) {
        (0, _classCallCheck3.default)(this, TemplateElement);
        return (0, _possibleConstructorReturn3.default)(this, (0, _getPrototypeOf2.default)(TemplateElement).call(this, 'TemplateElement', childNodes));
    }

    (0, _createClass3.default)(TemplateElement, [{
        key: '_acceptChildren',
        value: function _acceptChildren(children) {
            var templateToken = children.passToken('Template');

            var tail = false;
            var value = {
                cooked: templateToken.value,
                raw: templateToken.sourceCode
            };

            children.assertEnd();

            this._tail = tail;
            this._value = value;
        }
    }, {
        key: 'tail',
        get: function get() {
            return this._tail;
        },
        set: function set(bool) {
            this._tail = bool;
        }
    }, {
        key: 'value',
        get: function get() {
            return this._value;
        }
    }]);
    return TemplateElement;
}(_Node3.default);

exports.default = TemplateElement;