'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _Statement2 = require('../Statement');

var _Statement3 = _interopRequireDefault(_Statement2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var BreakStatement = function (_Statement) {
    (0, _inherits3.default)(BreakStatement, _Statement);


    // TODO: Requires a loop.
    // TODO: In case of a label, requires label.

    function BreakStatement(childNodes) {
        (0, _classCallCheck3.default)(this, BreakStatement);
        return (0, _possibleConstructorReturn3.default)(this, (0, _getPrototypeOf2.default)(BreakStatement).call(this, 'BreakStatement', childNodes));
    }

    (0, _createClass3.default)(BreakStatement, [{
        key: '_acceptChildren',
        value: function _acceptChildren(children) {
            children.passToken('Keyword', 'break');

            var label = null;
            if (!children.isEnd) {
                children.skipSameLineNonCode();

                if (children.isNode('Identifier')) {
                    label = children.passNode('Identifier');
                    children.skipNonCode();
                    children.skipSemicolon();
                } else if (children.isToken('Punctuator', ';')) {
                    children.passToken();
                } else {
                    children.passToken();
                    children.skipSemicolon();
                }
            }

            children.assertEnd();

            this._label = label;
        }
    }, {
        key: 'label',
        get: function get() {
            return this._label;
        }
    }]);
    return BreakStatement;
}(_Statement3.default);

exports.default = BreakStatement;